Class | Spec::Matchers::SimpleMatcher
In: | lib/spec/matchers/simple_matcher.rb
Parent: | Object

### Methods

description explanation failure_message matches? negative_failure_message new

### Attributes

description | [W] |
failure_message | [W] |
negative_failure_message | [W] |

### Public Class methods

new(description, &match_block)

### Public Instance methods

description()
explanation()
failure_message()
matches?(given)
negative_failure_message()

[Validate]